Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason
Class RevisionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jason.JasonException
                  jason.RevisionFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class RevisionFailedException

extends JasonException

See Also:
  Serialized Form

Field Summary

Fields inherited from class jason.JasonException
`UNKNOW_ERROR, WRONG_ARGS`

Constructor Summary
`RevisionFailedException()`
`RevisionFailedException(java.lang.String msg)`
`RevisionFailedException(java.lang.String msg, java.lang.Exception cause)`

Method Summary

Methods inherited from class jason.JasonException
`addErrorAnnot, createBasicErrorAnnots, createBasicErrorAnnots, createWrongArgument, createWrongArgumentNb, getErrorTerms`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevisionFailedException

    public RevisionFailedException()

### RevisionFailedException

    public RevisionFailedException(java.lang.String msg)

### RevisionFailedException

    public RevisionFailedException(java.lang.String msg,
                                   java.lang.Exception cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD